 function save_results_to_xls(self)
            folder = io.check_folder("Results/");
            folder_name = strcat(folder,self.alg_name, "_results");
            save_dir = io.check_folder(folder_name);

            fprintf(strcat("Saving to ", save_dir, ".  \n"));

            file_name = strcat(save_dir,"\", self.alg_name, ".xls");
            A = {"Alg", "SSIM", "MSE", "PSNR", "dice coefficient";
                self.alg_name, self.SSIM, self.MSE, self.PSNR, self.dice_coeff};
            writecell(A,file_name);

end